Kerbal Space Program - Bug #22820

Breaking Ground. Any locked motorized part resets position to half after scene change.
06/08/2019 01:11 AM - dok_377

Status: Closed Start date: 06/08/2019
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.7.2

Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game

Description

Steps to reproduce:

1. Take any robotic part (except the rotor part, that part works fine by the looks of it).
2. Deploy that part in flight.

3. Lock it.

4. Leave scene and return to your craft.

After those steps you will observe the result of this bug: the part just resets to the half deployed position until you unlock it again, then
it just goes back to deployed position.

Video demo #1: https://youtu.be/JOTSaak0OLaY
Video demo #2: https://youtu.be/MViIX5IAIUU8

History

#1 - 06/08/2019 08:21 AM - dok_377
- File Untitled Space Craft.craft added

#2 - 06/12/2019 07:49 PM - chris.fulton
- Status changed from New to Ready to Test
- Target version setto 1.7.2

- % Done changed from 0 to 80

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.2.25557?

#3 - 06/13/2019 01:22 AM - dok_377

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

chris.fulton wrote:

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.2.2555?

All parts seem to be working fine now, except pistons. | recorded a video showing the new strange behavior: https://youtu.be/xPApFxZ3PkU
And on top of that, this particular bug with locking is fixed, but not on pistons, as shown at 2:26 in the video. Changing this to Not Fixed due to that.

#4 - 10/18/2019 12:49 AM - dok_377
- Status changed from Not Fixed to Resolved
- % Done changed from 50 to 100

#5 - 10/22/2019 04:03 PM - chris.fulton

- Status changed from Resolved to Closed
Files

Untitled Space Craft.craft 69.1 KB 06/08/2019 dok_377

04/19/2024 22


http://www.tcpdf.org

